This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 461926 - webcollage screen saver displaying pornography
webcollage screen saver displaying pornography
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdeartwork (Show other bugs)
9
All Linux
urgent Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On: 472061
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-11 09:56 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-18 09:48:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2008-09-11 09:56:04 EDT
Description of problem:
On a development machine I use KDE. I had the screensaver set to random. 

This morning I came back to that machine to find that the screensaver had kicked in and was running web collage. And the images being displayed were pornographic and very explicit. 

I do *not* browse porn sites on that machine, and it does not share any data with other machines and is used solely for testing code. 

Version-Release number of selected component (if applicable):
4.1.0-1.fc9

How reproducible:
Not sure how to get it to redisplay those images, but I would prefer that the app allow the user to decide what sites to visit rather than randomly downloading images.
Comment 1 Rex Dieter 2008-09-11 10:51:48 EDT
Ugh, this problem existed in kde3 (and we hacked around it), and I thought it was addressed in kde4.
Comment 2 Steven M. Parrish 2008-09-28 17:12:30 EDT
Bumped the priority up.  Need to address this before Fedora gets a NC17 rating.
Comment 3 Rex Dieter 2008-09-28 21:49:17 EDT
I think the approach we're going to take is
1.  include a temporary hack/workround (as we did with kde3)
2.  bug xscreensaver maintainer to make webcolloage choose a better default for itself, so that xscreensaver users/consumers (like kscreensaver) don't need to add workarounds forever.
Comment 4 Ngo Than 2008-11-18 09:48:24 EST
drop webcollage screen saver in kdeartwork-4_1_3-2_fc10/fc9

Note You need to log in before you can comment on or make changes to this bug.